com.collabnet.ce.soap60.webservices.news

## Class NewsPostSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.news.NewsPostSoapRow

-     public class NewsPostSoapRow
      extends Object

  NewsPostList class represents a list of news posts.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsPostSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBody()` Returns 'body'.
    `String` | `getCreatedByFullName()` Returns 'createdByFullName'.
    `String` | `getCreatedByUsername()` Returns 'createdByUsername'.
    `Date` | `getCreatedOn()` Returns 'createdOn'.
    `String` | `getFolderPathString()` Returns 'folderPathString'.
    `String` | `getId()` Returns 'id'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getProjectPathString()` Returns 'projectPathString'.
    `String` | `getProjectTitle()` Returns 'projectTitle'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setBody(String body)` Sets 'body'.
    `void` | `setCreatedByFullName(String createdByFullName)` Sets 'createdByFullName'.
    `void` | `setCreatedByUsername(String createdByUsername)` Sets 'createdByUsername'.
    `void` | `setCreatedOn(Date createdOn)` Sets 'createdOn'.
    `void` | `setFolderPathString(String folderPathString)` Sets 'folderPathString'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setProjectPathString(String projectPathString)` Sets 'projectPathString'.
    `void` | `setProjectTitle(String projectTitle)` Sets 'projectTitle'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsPostSoapRow

          public NewsPostSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The news post ID
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The news post ID
      Parameters:
        `id` - Value of 'id'.

    - #### getProjectTitle

          public String getProjectTitle()

      Returns 'projectTitle'. The title of the project containing the news post
      Returns:
        Value of 'projectTitle'.

    - #### setProjectTitle

          public void setProjectTitle(String projectTitle)

      Sets 'projectTitle'. The title of the project containing the news post
      Parameters:
        `projectTitle` - Value of 'projectTitle'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. The id of the project containing the news post
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. The id of the project containing the news post
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getProjectPathString

          public String getProjectPathString()

      Returns 'projectPathString'. The path to the project containing the news post
      Returns:
        Value of 'projectPathString'.

    - #### setProjectPathString

          public void setProjectPathString(String projectPathString)

      Sets 'projectPathString'. The path to the project containing the news post
      Parameters:
        `projectPathString` - Value of 'projectPathString'.

    - #### getFolderPathString

          public String getFolderPathString()

      Returns 'folderPathString'.
      Returns:
        Value of 'folderPathString'.

    - #### setFolderPathString

          public void setFolderPathString(String folderPathString)

      Sets 'folderPathString'.
      Parameters:
        `folderPathString` - Value of 'folderPathString'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the news post
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the news post
      Parameters:
        `title` - Value of 'title'.

    - #### getBody

          public String getBody()

      Returns 'body'. The content of the news post
      Returns:
        Value of 'body'.

    - #### setBody

          public void setBody(String body)

      Sets 'body'. The content of the news post
      Parameters:
        `body` - Value of 'body'.

    - #### getCreatedOn

          public Date getCreatedOn()

      Returns 'createdOn'. The date the news post was created
      Returns:
        Value of 'createdOn'.

    - #### setCreatedOn

          public void setCreatedOn(Date createdOn)

      Sets 'createdOn'. The date the news post was created
      Parameters:
        `createdOn` - Value of 'createdOn'.

    - #### getCreatedByUsername

          public String getCreatedByUsername()

      Returns 'createdByUsername'. The username of the user who created the news post
      Returns:
        Value of 'createdByUsername'.

    - #### setCreatedByUsername

          public void setCreatedByUsername(String createdByUsername)

      Sets 'createdByUsername'. The username of the user who created the news post
      Parameters:
        `createdByUsername` - Value of 'createdByUsername'.

    - #### getCreatedByFullName

          public String getCreatedByFullName()

      Returns 'createdByFullName'. The full name of the user who created the news post
      Returns:
        Value of 'createdByFullName'.

    - #### setCreatedByFullName

          public void setCreatedByFullName(String createdByFullName)

      Sets 'createdByFullName'. The full name of the user who created the news post
      Parameters:
        `createdByFullName` - Value of 'createdByFullName'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.